/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import java.util.List;
import java.util.Objects;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "authorizeTransferList")
public class AuthorizeTransferList {

    private String idUpdateUser;
    private String comments;
    private List<TransferListToUpdateStatus> transferListToUpdateStatus;

    /**
     *
     */
    public AuthorizeTransferList() {
    }

    /**
     *
     * @param idUpdateUser
     * @param comments
     * @param transferListToUpdateStatus
     */
    public AuthorizeTransferList(String idUpdateUser, String comments, List<TransferListToUpdateStatus> transferListToUpdateStatus) {
        this.idUpdateUser = idUpdateUser;
        this.comments = comments;
        this.transferListToUpdateStatus = transferListToUpdateStatus;
    }

    @XmlElement(name = "idUpdateUser")
    public String getIdUpdateUser() {
        return idUpdateUser;
    }

    public void setIdUpdateUser(String idUpdateUser) {
        this.idUpdateUser = idUpdateUser;
    }

    @XmlElement(name = "comments")
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    @XmlElement(name = "transferListToUpdateStatus")
    public List<TransferListToUpdateStatus> getTransferListToUpdateStatus() {
        return transferListToUpdateStatus;
    }

    public void setTransferListToUpdateStatus(List<TransferListToUpdateStatus> transferListToUpdateStatus) {
        this.transferListToUpdateStatus = transferListToUpdateStatus;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 31 * hash + Objects.hashCode(this.idUpdateUser);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final AuthorizeTransferList other = (AuthorizeTransferList) obj;
        if (!Objects.equals(this.idUpdateUser, other.idUpdateUser)) {
            return false;
        }
        return true;
    }

}
